/**Begin D:\PDM_UPGRADE\PDM1\HRIC_table.sql **/
 EXEC p_AlterColumn 'T_HRIC_IMPLITEM', 'FENTITYOBJSCOPE', 'VARCHAR(36)', 'NOT NULL', '0001', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_MICCONFIG') 
 CREATE TABLE T_HRIC_MICCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FBIZAREAID BIGINT DEFAULT 0 NOT NULL,
FBIZSUBAREAID BIGINT DEFAULT 0 NOT NULL,
FAPPSCOPEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FMAXTHREADNUM INT DEFAULT 0 NOT NULL,
FBATCHAMOUNT INT DEFAULT 0 NOT NULL,
FMAXRETRYTIME INT DEFAULT 0 NOT NULL,
FINTERVALTIME VARCHAR(2) DEFAULT ' ' NOT NULL,
FIMPLEMENTNAME VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_MICCONFIG_L') 
 CREATE TABLE T_HRIC_MICCONFIG_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HRIC_table.sql **/
